4

I am trying to compile litecoind on Ubuntu 11.10 i386 server.

I used this recipe I found:

git clone https://github.com/coblee/litecoin.git
cd ~/litecoin/src/
make -f makefile.unix litecoind
mkdir ~/.litecoin/

But I am stuck there:

make -f makefile.unix litecoind

I get:

# make -f makefile.unix litecoind
makefile.unix:138: warning: overriding commands for target `obj/nogui/scrypt.o'
makefile.unix:135: warning: ignoring old commands for target `obj/nogui/scrypt.o'
g++ -c -pthread -Wno-invalid-offsetof -Wformat -g -DNOPCH  -DUSE_UPNP=0 -DUSE_SSL -fno-stack-protector -fstack-protector-all -Wstack-protector -Wl,-z,relro -Wl,-z,now -D_FORTIFY_SOURCE=2 -O2 -MMD -o obj/nogui/checkpoints.o checkpoints.cpp
checkpoints.cpp:5:59: fatal error: boost/assign/list_of.hpp: No such file or directory
compilation terminated.
make: *** [obj/nogui/checkpoints.o] Error 1

Anyone know what is going wrong? Seem like a file missing or a problem with the compiler. Also failed on Ubuntu server 11.10 x64...


In that case the solution is:

sudo apt-get install libboost-all-dev

Thank's to David Schwartz for his help.

  • 1
    Do you have the Boost libraries installed? Did you install whatever package provides "list_of.hpp"? (It may be boost-devel. Use your distribution's package management tools to find out.) – David Schwartz Mar 11 '12 at 2:32
  • Thank's for your help needed the boost library to compile. – 01BTC10 Mar 11 '12 at 2:45
4

The file ~/litecoin/doc/build-unix.txt contains build instructions. The one you're missing is on line 61:

sudo apt-get install libboost-all-dev
2

It worked for me after typing:

sudo apt-get install libboost-all-dev libdb++-dev libminiupnpc-dev

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.